Get a project budget product item
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-budget-product-items/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-product-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-budget-product-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b3e7c1a4-9f52-4d8b-a6e0-7c3d5f2e8b1a",
"fee": 8500,
"description": "Annual software license",
"createdAt": "2026-06-04T14:30:00.000Z",
"project": {
"id": "d4f9a2c7-1e6b-4a3d-b8f5-2c0e7d9a4b6c",
"name": "Enterprise Software Rollout",
"client": {
"id": "e5a0b3d8-2f7c-4e1a-c906-3d1f8e0b5c7d",
"name": "Acme Corporation"
}
},
"invoiceItem": {
"id": "f6b1c4e9-3a8d-4f2b-d0b7-4e2f9f1c6d8e",
"name": "Software Licenses"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'b3e7c1a4-9f52-4d8b-a6e0-7c3d5f2e8b1a' not found."
}Project Budget Product Items
Get a project budget product item
GET
/
project-budget-product-items
/
{id}
Get a project budget product item
The budget for a product invoice item on a project. Only available for billable projects using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project budget product item uuid.
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget item.
Show child attributes
Show child attributes
⌘I